<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?php include_once ("../inc/config.inc.php") ?>
<?php include_once ("../inc/func.inc.php") ?>
<?php include_once ("../inc/func_date.inc.php") ?>
<?php include_once ("../inc/func_log.inc.php") ?>
<?php include_once ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php include_once ("../inc/mail.inc.php") ?>
<?php require ("../classes/dirtool/class_dirtool.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$acat = str_majuscules(strip_tags(trim(@$_POST["acat"])));
		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$nom = str_majuscules(strip_tags(trim(@$_POST["nom"])));
		$rcs = str_majuscules(strip_tags(trim(@$_POST["rcs"])));
		$tcom = str_majuscules(strip_tags(trim(@$_POST["tcom"])));
		$adr1 = str_majuscules(strip_tags(trim(@$_POST["adr1"])));
		$adr2 = str_majuscules(strip_tags(trim(@$_POST["adr2"])));
		$dep = strip_tags(trim(@$_POST["dep"]));
		$ville = str_majuscules(strip_tags(trim(@$_POST["ville"])));
		$pays = str_majuscules(strip_tags(trim(@$_POST["pays"])));
		$zone = str_majuscules(strip_tags(trim(@$_POST["zonetxt"])));
		$telf = strip_tags(trim(@$_POST["telf"]));
		$txttelf = strip_tags(trim(@$_POST["txttelf"]));
		$fax = strip_tags(trim(@$_POST["fax"]));
		$txtfax = strip_tags(trim(@$_POST["txtfax"]));
		$web = strip_tags(trim(@$_POST["web"]));
		$heures = strip_tags(trim(@$_POST["heures"]));
		$txtent = strip_tags(trim(@$_POST["txtent"]));
		$rcivil = strip_tags(trim(@$_POST["rcivil"]));
		$rprenom = strip_tags(trim(@$_POST["rprenom"]));
		$rnom = strip_tags(trim(@$_POST["rnom"]));
		$rtelf = strip_tags(trim(@$_POST["rtelf"]));
		$email = strtolower(strip_tags(trim(@$_POST["email"])));
		$emaild = strtolower(strip_tags(trim(@$_POST["emaild"])));
		$emailc = strtolower(strip_tags(trim(@$_POST["emailc"])));
		$emailt = strtolower(strip_tags(trim(@$_POST["emailt"])));
		$nota = strip_tags(trim(@$_POST["nota"]));
		$emetf = strip_tags(trim(@$_POST["factures"]));
		if ($emetf == "Oui")
			$facture = TRUE;
		else
			$facture = FALSE;
		$actif = strip_tags(trim(@$_POST["ouvert"]));
		if ($actif == "Oui")
			$ouvert = TRUE;
		else
			$ouvert = FALSE;

		$codeuser = @$HTTP_SESSION_VARS["code_log"];
		$retourliste = TRUE;

		$pass = cremdp(FALSE);
		$passcrypt = md5($pass);

		$msg = "";

		if ($typdde == "add")
		{
			$codea ="A".$code;
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);

			// Ajout de la fiche Agence

			$rech = "SELECT * FROM " .TBAGE. " WHERE age_code = '$codea'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 0)
			{
				$rech2 = "INSERT INTO " .TBAGE;
				$rech2 .= " (age_datecrea,age_codecrea,age_datemod,age_codemod,age_code,age_pass,age_cat,age_nom,age_rcs,age_tcom,age_adr1,age_adr2,age_dep,age_ville,age_pays,age_zone,age_telf,age_txttelf,age_fax,age_txtfax,age_txtent,age_resp_civilite,age_resp_prenom,age_resp_nom,age_resp_telf,age_email,age_emaild,age_emailc,age_emailt,age_heures,age_web,age_nota,age_fact,age_ouvert,age_datec) VALUES";
				$rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$codea','$passcrypt','$acat','$nom','$rcs','$tcom','$adr1','$adr2','$dep','$ville','$pays','$zone','$telf','$txttelf','$fax','$txtfax','$txtent','$rcivil','$rprenom','$rnom','$rtelf','$email','$emaild','$emaild','$emailt','$heures','$web','$nota','$facture','$ouvert','$datea')";
				$rs2 = mysql_query($rech2) or die(mysql_error());

				// Ajout du compte pour connexion
				// Niveau par défaut : 4
				// Actif par défaut
					
				$log_ip = $_SERVER['REMOTE_ADDR']; // Récupération adresse IP
				$rech = "INSERT INTO " .TBPW. "(pw_code,pw_pass,pw_level,pw_lastsuccess,pw_lastip,pw_actif) VALUES ('$codea','$passcrypt','4','$dateheurea','$log_ip','1')";
				$rs2 = mysql_query($rech) or die(mysql_error());

				// Création du répertoire de stockage spécifique à l'agence

				$rep_agences = $url_gfc."/agences";
				$desc_rep_agences = "Répertoire spécifique aux agences";
				$rep_cette_agence = $rep_agences."/".strtolower($codea);
				$desc_rep_cette_agence = "Répertoire agence ".$nom." (".$codea.")";
				
				if (!is_dir($rep_agences)) // Si le sous-répertoire spécifique aux agences n'existe pas, on le crée
				{
					if (mkdir($rep_agences))
					{
						$rech = "INSERT INTO " .TBFIC;
						$rech .= " (fic_nom,fic_type,fic_desc,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
						$rech .= " ('$rep_agences','1','$desc_rep_agences','$datea','$admin_code','')";
						$rs = mysql_query($rech) or die(mysql_error());
					}
				}
				if (mkdir($rep_cette_agence)) // On crée sous-répertoire spécifique à cette agence
				{
					// On ajoute le détail dans le fichier MySQL
					$rech = "INSERT INTO " .TBFIC;
					$rech .= " (fic_nom,fic_type,fic_desc,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
					$rech .= " ('$rep_cette_agence','1','$desc_rep_cette_agence','$datea','$admin_code','')";
					$rs = mysql_query($rech) or die(mysql_error());

					$msg = "Fiche enregistrée avec succès !";
				}
				else
				{
					$msg = "Problème de création de répertoire pour cette agence.";
					$retourliste = FALSE;
				}
			}
			else
			{
				$msg = "Ce code existe déjà !";
				$retourliste = FALSE;
			}
			// mysql_free_result($rs2);
			mysql_close($conn);
			
			if ($retourliste == TRUE)
			{
				// Envoi d'email vers l'agence
				envoi_mail("Ouverture de votre compte agence","age","cre","xxx","age",$codea,$pass,"",TRUE);
			}
		}

		if ($typdde == "edit")
		{
			$existint = FALSE;
			$existcocl = FALSE;
			$existtec = FALSE;

			if ($ouvert == FALSE) // Si fermeture d'agence, quelques contrôles sont nécessaires
			{
				// Vérifie si utilisée dans une fiche intervention non close
				if (exist_age_in_int_ouv($code) == TRUE)
				{
					$existint = TRUE;
					$msg = "Il faut d'abord clore les interventions en cours pour fermer cette agence.";
					$retourliste = FALSE;
				}

				// Vérifie si utilisée dans un contrat non clôt (et signé, donc actif)
				if (exist_age_in_cocl_ouv($code) == TRUE)
				{
					$existcocl = TRUE;
					$msg = "Il faut d'abord clore (ou transférer) les contrats en cours pour fermer cette agence.";
					$retourliste = FALSE;
				}

				// Vérifie si utilisé dans une fiche technicien non licencié
				if (exist_age_in_tec_present($code) == TRUE)
				{
					$existtec = TRUE;
					if ($msg <> "")
						$msg .= "<br><br>";			
					$msg .= "Il faut d'abord licencier les techniciens présent dans cette agence pour la fermer.";
					$retourliste = FALSE;
				}
			}
			
			if (($existint == FALSE) AND ($existcocl == FALSE) AND ($existtec == FALSE))
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				// MAJ de la fiche Agence
			
				$rech = "UPDATE `" .TBAGE. "` SET `age_datemod`='".$datea."', `age_codemod`='".$codeuser."', `age_code`='".$code."', `age_cat`='".$acat."', `age_nom`='".$nom."', `age_rcs`='".$rcs."', `age_tcom`='".$tcom."', `age_adr1`='".$adr1."', `age_adr2`='".$adr2."', `age_ville`='".$ville."', `age_zone`='".$zone."', `age_pays`='".$pays."', `age_telf`='".$telf."', `age_txttelf`='".$txttelf."', `age_fax`='".$fax."', `age_txtfax`='".$txtfax."', `age_txtent`='".$txtent."', `age_resp_civilite`='".$rcivil."', `age_resp_prenom`='".$rprenom."', `age_resp_nom`='".$rnom."', `age_resp_telf`='".$rtelf."', `age_email`='".$email."', `age_emaild`='".$emaild."', `age_emailc`='".$emailc."', `age_emailt`='".$emailt."', `age_heures`='".$heures."', `age_web`='".$web."', `age_nota`='".$nota."', `age_fact`='".$facture."', `age_ouvert`='".$ouvert."', `age_datec`='".$datea."'   WHERE `age_code` = '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				if ($ouvert == FALSE)
				{
					// "LIBERATION" des clients rattachés à cette agence
					
					$rech = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`= NULL WHERE `cli_prop` = '".$code."'";
					$rs = mysql_query($rech) or die(mysql_error());

					// On rend l'administrateur propriétaire des fichiers de cette agence
					$rech = "UPDATE `" .TBFIC;
					$rech.= "` SET `fic_codecrea`='".$admin_code."'  WHERE `fic_codecrea` = '".$code."'";
					$rs = mysql_query($rech) or die(mysql_error());

					// Suppression du mot de passe rattaché à l'agence
		
					$rech = "DELETE FROM `" .TBPW. "` WHERE `pw_code` = '$code'";
					$rs = mysql_query($rech) or die(mysql_error());
				}
	
				$msg = "Fiche modifiée avec succès !";
					
				// mysql_free_result($rs);
				mysql_close($conn);

				// Envoi d'email vers le centre de gestion
				envoi_mail("Modification d'agence","age","mod","xxx","cdg",$code,"","",TRUE);
			}
		}

		if ($typdde == "del")
		{
			$existint1 = FALSE;
			$existint2 = FALSE;
			$existcocl = FALSE;
			$existtec = FALSE;

			// Vérifie si utilisée dans une fiche intervention
			if (exist_age_in_int($code) == TRUE)
			{
				$existint1 = TRUE;
				$msg = "Cette agence est utilisée dans une fiche intervention.<br>Vous ne pouvez donc pas la supprimer (Il suffit de la passer en mode 'fermé').";
				$retourliste = FALSE;
			}
			
			// Vérifie si utilisé dans une fiche intervention en temps que code de création
			if (exist_in_int_codecrea($code) == TRUE)
			{
				$existeint2 = TRUE;
				if ($msg <> "")
					$msg .= "<br><br>";			
				$msg = "Cette agence a créé une intervention.<br>Vous ne pouvez donc pas la supprimer (Il suffit de la passer en mode 'fermé').";
				$retourliste = FALSE;
			}

			// Vérifie si utilisée dans un contrat non clôt (et signé, donc actif)
			if (exist_age_in_cocl_ouv($code) == TRUE)
			{
				$existcocl = TRUE;
				$msg = "Il faut d'abord clore (ou transférer) les contrats en cours pour fermer cette agence.";
				$retourliste = FALSE;
			}

			// Vérifie si utilisé dans une fiche technicien			
			if (exist_age_in_tec($code) == TRUE)
			{
				$existtec = TRUE;
				if ($msg <> "")
					$msg .= "<br><br>";			
				$msg .= "Cette agence est utilisée dans une fiche technicien.<br>Vous ne pouvez donc pas la supprimer (Il suffit de la passer en mode 'fermé').";
				$retourliste = FALSE;
			}
						
			if (($existint1 == FALSE) AND ($existeint2 == FALSE) AND ($existcocl == FALSE) AND ($existtec == FALSE))
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				// "LIBERATION" des clients rattachés

				$rech = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`= NULL WHERE `cli_prop` = '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
			
				// SUPPRESSION des contrats non signés rattachés

				$rech = "DELETE FROM `" .TBCOCL. "` WHERE `cocl_codeage` = '$code' AND `cocl_signe` IS NULL";
				$rs = mysql_query($rech) or die(mysql_error());
			
				// SUPPRESSION de la fiche Agence

				$rech = "DELETE FROM `" .TBAGE. "` WHERE `age_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());

				// Suppression du mot de passe rattaché
	
				$rech = "DELETE FROM `" .TBPW. "` WHERE `pw_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());

				// mysql_free_result($rs);
				mysql_close($conn);

				// Suppression du répertoire de stockage spécifique à l'agence

				if (is_dir($url_gfc."/agences/".strtolower($code)))
				{
					$rep_age = $url_gfc."/agences/".strtolower($code);
					$dir = new dirtool($rep_age);
					$dir->delete();

					// Envoi d'email vers l'administrateur pour la suppression du répertoire
					envoi_mail("Suppression de répertoire","dir","del","xxx","wm",$rep_age,"","",FALSE);

					$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
					mysql_select_db(DBNAME);
		
					$rech = "DELETE FROM `" .TBFIC. "` WHERE `fic_nom` LIKE '%$rep_age%'";
					$rs = mysql_query($rech) or die(mysql_error());
		
					mysql_close($conn);
	
					$msg = "Fiche supprimée avec succès !";
				}
				else
				{
					$msg = "Suppression fiche effectuée.<br>Le répertoire personnel de cette agence n'existe pas !";
					$retourliste = FALSE;
				}
			}	
		}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Agence</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>


<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>
<body>

<?php 
	include_once ("../inc/entete.php"); 
?>


<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>

<?PHP if ($retourliste == FALSE) 
{ 
	if (($typdde == "add") OR ($typdde == "edit"))
	{
?>
		<p align="center">
		<a href="javascript:history.back();">
		Retour &agrave; la saisie
		</a>
<?PHP
	}
?>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="age_lst.php?ta=m"><img src="../img/liste.gif" width="33" height="34" border="0" align="abddle"></a> <a href="age_lst.php?ta=m" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="abddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{
?>
	<?PHP if ($typdde == "add") { ?>
	<p align="center" class="annot_std_gras">Pensez &agrave; t&eacute;l&eacute;charger le logo de l'agence ! </p>
	<?PHP } ?>
	<?PHP if ($typdde == "del") { ?>
	<p align="center" class="annot_std_gras">Pensez &agrave; supprimer le logo de l'agence ! </p>
	<?PHP } ?>
	<p align="center" class="annot_std_it">Retour à la liste dans 2 secondes...</p>

	<script type="text/javascript">
	window.setTimeout("location=('age_lst.php?ta=m');",2000)
	</script>

<?PHP 
} 
?>

<?php 
	include_once ("pied.php")
?>
